require "lib/linkedin"

# can't use constant as it gets redeclared when the require is done and so causes a warning
@dynamic_file_name="linkedin"
@latest_command = nil

# Search for commands and act on them
def get_process_commands(verbose)
	client = LinkedIn::Client.new('<LINKED IN API KEY>')
	client.authorize_from_access("<LINKED IN SECRET KEY>")

	profile = client.profile(:fields => [:current_status])
	status = profile.current_status

	if @latest_command != status
		@latest_read=Time.now
		@latest_command = status

		if verbose
			puts @latest_read.to_s + " - " + @latest_command
		end
		
		process_message(@latest_command, verbose)
	else
		if verbose
			puts "Command already seen, ignoring"
		end
	end
end
