require 'ftools'

def send_command command,verbose
	if verbose
		puts "Creating JPG with command: " + command
	end

	time_as_int=Time.new.to_i.to_s

	# You've got 200 bytes, knock off the length of the time field and the comma separator
	if (command.length + time_as_int.length + 1) > 200
		puts "Command too long, max length = " + (200 - (1+time_as_int.length)).to_s + " characters"
		return false
	end

	command = time_as_int + "," + command + "\00"

	File.copy "template.jpg", "command.jpg"

	jpg = File.new("command.jpg", "r+")
	jpg.seek 24
	jpg.print command
	jpg.close
	return true
end
