require "lib/twitter"

# The screen name of the user to send commands
@screen_name="<YOUR SCREEN NAME HERE>"
# And the users password
@password="<YOUR PASSWORD HERE>"

# Show how many API hits you have left and when they will be refreshed
def status()
	results = Twitter::Base.new(@screen_name, @password).rate_limit_status()
	puts "API hits: "+results.remaining_hits.to_s+"/"+results.hourly_limit.to_s
	puts "Time of next reset: "+results.reset_time.to_s
end

# Default system to send message through
def send_command command,verbose
	if verbose
		puts "Sending following command to Twitter: " + command
	end
	twitter = Twitter::Base.new(@screen_name, @password)
	begin
		twitter.post(command)
		if verbose
			puts "Command sent"
		end
	rescue
		puts "There was a problem sending the command to Twitter"
		puts $!
	end
end
